<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/* セクションID haumenu_define_section_id_01_utility() */
/* タブのスラグ haumenu_define_tab_slug_01_utility() */
/* $option_name 設定名 haumenu_define_option_name_01_utility() */
/* get_option GetOP01_utility() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */

function haup_child_setting_view_control_01_utility( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_utility';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_01_utility();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		$set_name . 'use-block-design' => array(
			'.warn-para-block-header-prefix-wrapper', // 警告　タブ付き段落デザインの見出し文字列
			'.notice-para-block-header-prefix-wrapper', // 注意　タブ付き段落デザインの見出し文字列
			'.info-para-block-header-prefix-wrapper', // チェック　タブ付き段落デザインの見出し文字列
			'.idea-para-block-header-prefix-wrapper', // アイディア　タブ付き段落デザインの見出し文字列
			'.separate-icon-bg-wrapper', // 区切り線のアイコン背景色を指定
			'.cond-group-block-login-pattern-id-wrapper', // 条件分岐グループで会員ログインを促す時のパターンのID
			'.cond-group-no-cache-wrapper', // キャッシュを無効にする
		),

		$set_name . 'accordion-block-animation' => array(
			'.accordion-block-animation-conditions-wrapper', // アコーディオンアニメーションの条件
			'.change-accordion-heading-level-wrapper', //ヘッダーの見出しレベル変更
		),

		$set_name . 'post-moddate' => array(
			'.post-moddate-default-wrapper', // 更新日のコントロールのデフォルト値
		),

	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_01_utility', 20 );

/*** ブロックへ選択式のデザインを追加 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_is_use_block_design(){
//項目の追加
	add_settings_field(
		'use-block-design', // 設定名
		__('Use Original Block Design','hima-art-utility'), // 設定タイトル
		'haumenu_is_use_block_design', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_is_use_block_design' );

/* 入力フォーム */
function haumenu_is_use_block_design() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'use-block-design'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Allows you to use this plugins own design that can be selected for each block in the block editor','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk"><?php esc_html_e('*Please note that if you assign a design on the post editing screen after enabling this function and stop the function, the decoration will be disabled.','hima-art-utility'); ?></p>
<?php
}

/*** 警告　タブ付き段落デザインの見出し文字列 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_warn_para_block_header_prefix(){
//項目の追加
	add_settings_field(
		'warn-para-block-header-prefix', // 設定名
		__('Warning Paragraph Tag Title','hima-art-utility'), // 設定タイトル
		'haumenu_warn_para_block_header_prefix', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_warn_para_block_header_prefix' );

function haumenu_warn_para_block_header_prefix() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'warn-para-block-header-prefix'; //個別配列名
?>
<div class="warn-para-block-header-prefix-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
<p><?php esc_html_e('Sets the tab string for a tabbed "alert" paragraph box (default is "Attention")','hima-art-utility'); ?></p>
</label>
</div>
<?php
}

/*** 注意　タブ付き段落デザインの見出し文字列 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_notice_para_block_header_prefix(){
//項目の追加
	add_settings_field(
		'notice-para-block-header-prefix', // 設定名
		__('Notice Paragraph Tag Title','hima-art-utility'), // 設定タイトル
		'haumenu_notice_para_block_header_prefix', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_notice_para_block_header_prefix' );

function haumenu_notice_para_block_header_prefix() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'notice-para-block-header-prefix'; //個別配列名
?>
<div class="notice-para-block-header-prefix-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Sets the tab string for a tabbed "note" paragraph box (default is "Notice")','hima-art-utility'); ?></p>
</label>
</div>
<?php
}

/*** チェック　タブ付き段落デザインの見出し文字列 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_info_para_block_header_prefix(){
//項目の追加
	add_settings_field(
		'info-para-block-header-prefix', // 設定名
		__('Check Paragraph Tag Title','hima-art-utility'), // 設定タイトル
		'haumenu_info_para_block_header_prefix', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_info_para_block_header_prefix' );

function haumenu_info_para_block_header_prefix() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'info-para-block-header-prefix'; //個別配列名
?>
<div class="info-para-block-header-prefix-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Sets the tab string for a tabbed "check" paragraph box (default is "Check Point")','hima-art-utility'); ?></p>
</label>
</div>
<?php
}

/*** アイディア　タブ付き段落デザインの見出し文字列 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_idea_para_block_header_prefix(){
//項目の追加
	add_settings_field(
		'idea-para-block-header-prefix', // 設定名
		__('Idea Paragraph Tag Title','hima-art-utility'), // 設定タイトル
		'haumenu_idea_para_block_header_prefix', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_idea_para_block_header_prefix' );

function haumenu_idea_para_block_header_prefix() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'idea-para-block-header-prefix'; //個別配列名
?>
<div class="idea-para-block-header-prefix-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Sets the tab string for the tabbed "Ideas" paragraph box (default is "Discovery")','hima-art-utility'); ?></p>
</label>
</div>
<?php
}

/*** 区切り線のアイコン背景色を指定 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_separate_icon_bg(){
//項目の追加
	add_settings_field(
		'separate-icon-bg', // 設定名
		__('Separator with icon background color','hima-art-utility'), // 設定タイトル
		'haumenu_separate_icon_bg', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_separate_icon_bg' );

/* 入力フォーム */
/***** sanitize_hex_colorでサニタイズする *****/
function haumenu_separate_icon_bg() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'separate-icon-bg'; //個別配列名
?>
<div class="separate-icon-bg-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#ffffff" data-default-color="#ffffff">
</label>
	<p><?php esc_html_e('Specifies the background color of the icon separator line','hima-art-utility'); ?></p>
<p class="haup-admin-bk">
	<span>
		<?php esc_html_e('Specify the background color of the text','hima-art-utility'); ?>
	</span>
	<br>
	<span class="haup-admin-font-red">
		<?php esc_html_e('If not specified, white (#ffffff) will be applied','hima-art-utility'); ?>
	</span>
</p>
</div>
<?php
}

/*** 条件分岐グループで会員ログインを促す時のパターンのID ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_cond_group_block_login_pattern_id(){
//項目の追加
	add_settings_field(
		'cond-group-block-login-pattern-id', // 設定名
		__('Pattern ID of login content to be displayed in the conditional branch group','hima-art-utility'), // 設定タイトル
		'haumenu_cond_group_block_login_pattern_id', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_cond_group_block_login_pattern_id' );

function haumenu_cond_group_block_login_pattern_id() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'cond-group-block-login-pattern-id'; //個別配列名
?>
<div class="cond-group-block-login-pattern-id-wrapper">
<label>
		<input class="transform" pattern="^[1-9][0-9]*$" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('In the "Members (with M)" group style, enter an ID when using a pattern for content displayed to non-logged-in visitors. If left blank, the plugin will output basic content that prompts users to log in. (The list of patterns can be easily accessed from the WordPress admin screen by enabling "Show Pattern Menu" in the "Administration Screen Controls" tab.)','hima-art-utility'); ?></p>
		<p class="haup-admin-bk" style="font-size:0.8rem;"><?php esc_html_e('The pattern ID is the "id=XX" part of the URL that appears in the bottom left of the screen when you hover over the title of the desired pattern in the pattern list. You can also easily check the ID in the pattern list by enabling "Show ID in admin list" in the "Administrator Controls" tab.','hima-art-utility'); ?></p>
</label>
</div>
<?php
}

/*** キャッシュを無効にする ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_cond_group_no_cache(){
//項目の追加
	add_settings_field(
		'cond-group-no-cache', // 設定名
		'', // 設定タイトル
		'haumenu_cond_group_no_cache', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_cond_group_no_cache' );

/* 入力フォーム */
function haumenu_cond_group_no_cache() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'cond-group-no-cache'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="cond-group-no-cache-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1"><?php esc_html_e('Disable caching on pages with conditional groups','hima-art-utility'); ?>
</label>
<p class="haup-admin-bk">
	<span><?php esc_html_e('On sites that use caching functionality such as plugins, if you have newly set a conditional branch group for a page that has been previously published, disabling the cache will ensure that the groups conditional branch functions correctly.','hima-art-utility'); ?></span>
	<br>
	<span class="haup-admin-font-red" style="font-size:0.8rem;"><?php esc_html_e('This cache cancellation is only effective when you are using the "DONOTCACHEPAGE" variable to control the cache, and does not disable the cache in all environments. Also, disabling the cache may slow down the page display speed, so unless you want it to work immediately on frequently accessed past pages, we recommend leaving this setting disabled and manually updating the cache for the target pages individually using plugins, etc. as needed.','hima-art-utility'); ?></span>
</p>
</div>
<?php
}

/*** アコーディオンブロックの開閉アニメーション ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_accordion_block_animation(){
//項目の追加
	add_settings_field(
		'accordion-block-animation', // 設定名
		__('Smooth opening and closing of the accordion block','hima-art-utility'), // 設定タイトル
		'haumenu_accordion_block_animation', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_accordion_block_animation' );


/* 入力フォーム */
function haumenu_accordion_block_animation() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'accordion-block-animation'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('This will make the standard WordPress accordion block open and close smoothly.','hima-art-utility'); ?></p>
</label>
<?php
}

/*** アコーディオンブロックのアニメーション動作 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_accordion_block_animation_conditions(){
//項目の追加
	add_settings_field(
		'accordion-block-animation-conditions', // 設定名
		'', // 設定タイトル
		'haumenu_accordion_block_animation_conditions', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_accordion_block_animation_conditions' );

/* 入力フォーム */
function haumenu_accordion_block_animation_conditions() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'accordion-block-animation-conditions'; //個別配列名

	if(isset($options[$option_name])){
		$selected = $options[$option_name];
	}else{
		$selected = '';
	}
?>
<div class="accordion-block-animation-conditions-wrapper">
<p><?php esc_html_e('Select the conditions under which the animation will apply when "Smooth opening and closing of accordion blocks" is enabled.','hima-art-utility'); ?></p>
<select style="max-width:60rem;" name= '<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>' >
	<option value='1' <?php selected($selected , 1 ); ?> selected ><?php esc_html_e('Apply to all accordion blocks on the site.','hima-art-utility'); ?></option>
	<option value='2' <?php selected($selected , 2 ); ?>><?php esc_html_e('This applies only to content where "Animation" is selected in the accordion content block.','hima-art-utility'); ?></option>
</select>
<p>
	<span><?php esc_html_e('If you select "Apply only to content with Animation selected in the accordion content block", the content below the accordion block will be affected.','hima-art-utility'); ?></span>
	<span class="haup-admin-font-red"><?php esc_html_e('"Accordion content"','hima-art-utility'); ?></span>
	<span><?php esc_html_e('A "Animation" button has been added to the block style settings, and only accordion content with selected animation will open and close smoothly.','hima-art-utility'); ?></span>
</p>
</div>
<?php
}

/*** アコーディオンブロック挿入時のHタグのレベルを変更 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_change_accordion_heading_level(){
//項目の追加
	add_settings_field(
		'change-accordion-heading-level', // 設定名
		'', // 設定タイトル
		'haumenu_change_accordion_heading_level', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_change_accordion_heading_level' );

/* 入力フォーム */
function haumenu_change_accordion_heading_level() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'change-accordion-heading-level'; //個別配列名

	if(isset($options[$option_name])){
		$selected = $options[$option_name];
	}else{
		$selected = '';
	}
?>
<div class="change-accordion-heading-level-wrapper">
<p><?php esc_html_e('This changes the initial level of heading tags when inserting an accordion block to a level other than H3.','hima-art-utility'); ?></p>
<select style="max-width:60rem;" name= '<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>' >
	<option value='1' <?php selected($selected , 1 ); ?>><?php esc_html_e('H1','hima-art-utility'); ?></option>
	<option value='2' <?php selected($selected , 2 ); ?>><?php esc_html_e('H2','hima-art-utility'); ?></option>
	<option value='3' <?php selected($selected , 3 ); ?> selected ><?php esc_html_e('H3(Default)','hima-art-utility'); ?></option>
	<option value='4' <?php selected($selected , 4 ); ?>><?php esc_html_e('H4','hima-art-utility'); ?></option>
	<option value='5' <?php selected($selected , 5 ); ?>><?php esc_html_e('H5','hima-art-utility'); ?></option>
	<option value='6' <?php selected($selected , 6 ); ?>><?php esc_html_e('H6','hima-art-utility'); ?></option>
</select>
<p><?php esc_html_e('This setting presets the heading levels when inserting an accordion block; however, you should adjust the heading levels using the accordion blocks block toolbar according to the actual heading hierarchy of your page.','hima-art-utility'); ?></p>
</div>
<?php
}

/*** クリックグループのクリック時に管理者へメールを送信 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_send_mail_at_group_clicked(){
//項目の追加
	add_settings_field(
		'send-mail-at-group-clicked', // 設定名
		__('Send email to admin when clicked','hima-art-utility'), // 設定タイトル
		'haumenu_send_mail_at_group_clicked', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_send_mail_at_group_clicked' );

/* 入力フォーム */
function haumenu_send_mail_at_group_clicked() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'send-mail-at-group-clicked'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1"><?php esc_html_e('You will receive an email notification when a group you have specified as "Click to view" is clicked.','hima-art-utility'); ?>
</label>
<p class="haup-admin-bk">
	<span><?php esc_html_e('When a group with "Click to view" specified is clicked on the day, which part of which post was clicked will be sent to the administrators email address.','hima-art-utility'); ?></span>
	<br>
	<span class="haup-admin-font-red" style="font-size:0.8rem;"><?php esc_html_e('Please note that this feature is only sent the first time a content is clicked on that day, and will not be sent if there are multiple clicks on the same content on the same day.','hima-art-utility'); ?></span>
</p>
<?php
}

/*** 文字単位の装飾 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_is_use_editor_extend(){
//項目の追加
	add_settings_field(
		'use-editor-extend', // 設定名
		__('Enable per-character decorations','hima-art-utility'), // 設定タイトル
		'haumenu_is_use_editor_extend', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_is_use_editor_extend' );

/* 入力フォーム */
function haumenu_is_use_editor_extend() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'use-editor-extend'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Enables marker display, underline display, and 1.2 1.5 times size character selection on a character-by-character basis.','hima-art-utility'); ?></p>
</label>
<p  class="haup-admin-bk"><?php esc_html_e('*Please note that if you assign a design on the post editing screen after enabling this function and stop the function, the decoration will be disabled.','hima-art-utility'); ?></p>
<?php
}

/*** ブロック一覧を１列表示する ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_block_select_single_column(){
//項目の追加
	add_settings_field(
		'block-select-single-column', // 設定名
		__('Display block list in one column','hima-art-utility'), // 設定タイトル
		'haumenu_block_select_single_column', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_block_select_single_column' );

/* 入力フォーム */
function haumenu_block_select_single_column() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'block-select-single-column'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Change the block selection on the edit screen from grid display to single row display','hima-art-utility'); ?></p>
</label>
<?php
}

/*** ブロックに枠線を付ける ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_show_block_border(){
//項目の追加
	add_settings_field(
		'block-border', // 設定名
		__('Border the block','hima-art-utility'), // 設定タイトル
		'haumenu_show_block_border', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_show_block_border' );

/* 入力フォーム */
function haumenu_show_block_border() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'block-border'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Add a thin border to each block on the edit screen','hima-art-utility'); ?></p>
</label>
<?php
}

/*** グループに枠線を付ける ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_show_grouping_block_border(){
//項目の追加
	add_settings_field(
		'grouping-block-border', // 設定名
		__('Border the Group Block','hima-art-utility'), // 設定タイトル
		'haumenu_show_grouping_block_border', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_show_grouping_block_border' );

/* 入力フォーム */
function haumenu_show_grouping_block_border() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'grouping-block-border'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Add a thin border to each grouped block on the edit screen','hima-art-utility'); ?></p>
</label>
<?php
}

/*** スペーサーブロックに色付けする ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_admin_spacer_block_bg_color(){
//項目の追加
	add_settings_field(
		'admin-spacer-block-bg-color', // 設定名
		__('Background Color the spacer block','hima-art-utility'), // 設定タイトル
		'haumenu_admin_spacer_block_bg_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_admin_spacer_block_bg_color' );

/* 入力フォーム */
function haumenu_admin_spacer_block_bg_color() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'admin-spacer-block-bg-color'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Add a background color to spacer block on the edit screen','hima-art-utility'); ?></p>
</label>
<?php
}

/*** 編集画面のタグをリスト表示 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_editor_tag_list_display(){
//項目の追加
	add_settings_field(
		'editor-tag-list-display', // 設定名
		__('List tags on edit screen','hima-art-utility'), // 設定タイトル
		'haumenu_editor_tag_list_display', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_editor_tag_list_display' );

/* 入力フォーム */
function haumenu_editor_tag_list_display() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'editor-tag-list-display'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Display the tag input panel on the post edit screen in a list similar to the category','hima-art-utility'); ?></p>
</label>
<?php
}

/*** カテゴリーの単一選択 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_single_category_selection(){
//項目の追加
	add_settings_field(
		'single-category-selection', // 設定名
		__('Single Category Selection','hima-art-utility'), // 設定タイトル
		'haumenu_single_category_selection', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_single_category_selection' );

/* 入力フォーム */
function haumenu_single_category_selection() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'single-category-selection'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Switch category selection method from multiple selection to single selection','hima-art-utility'); ?></p>
</label>
<details class="accordion"  style="margin: 5px 0px 0px 0px;overflow: hidden;">
<summary class="accordion__title" style="cursor: pointer;"><?php esc_html_e('View detailed description','hima-art-utility'); ?></summary>
<div class="accordion__content">
<p><?php esc_html_e('The standard category setting panel in the post editing screen is hidden, and a separate single selection panel is displayed to enable single category selection.','hima-art-utility'); ?></p>
<p class="haup-admin-font-red"><?php esc_html_e('After enabling the feature, the single selection panel will be located at the bottom of the edit screen sidebar, so please move it up to use it.','hima-art-utility'); ?></p>
<p><?php esc_html_e('Unlike the standard category panel, there is no search function or the ability to add categories.','hima-art-utility'); ?></p>
<p><?php esc_html_e('The Quick Edit screen will display the same multi-select panel as before, allowing you to select multiple items. However, please note that while this feature is enabled, when you save a selection, it will automatically be updated to link only the category with the smallest ID.','hima-art-utility'); ?></p>
</div>
</details>
<?php
}

/*** 更新日のコントロール ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_post_moddate(){
//項目の追加
	add_settings_field(
		'post-moddate', // 設定名
		__('Updated date control','hima-art-utility'), // 設定タイトル
		'haumenu_post_moddate', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_post_moddate' );


/* 入力フォーム */
function haumenu_post_moddate() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'post-moddate'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Make it possible to select "Update", "Do not update", and "Delete update date" for the last update date of posts and fixed pages.','hima-art-utility'); ?></p>
</label>
<?php echo wp_kses_post(haup_usage_info_haup_is_single_filter()); ?>
<?php
}

/*** 更新日のコントロールのデフォルト値 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_post_moddate_default_update(){
//項目の追加
	add_settings_field(
		'post-moddate-default', // 設定名
		__('Initial value of the update date control','hima-art-utility'), // 設定タイトル
		'haumenu_post_moddate_default', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_post_moddate_default_update' );

/* 入力フォーム */
function haumenu_post_moddate_default() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'post-moddate-default'; //個別配列名

	if(isset($options[$option_name])){
		$selected = $options[$option_name];
	}else{
		$selected = '';
	}
?>
<div class="post-moddate-default-wrapper">
<select name= '<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>' >
	<option value='1' <?php selected($selected , 1 ); ?> selected ><?php esc_html_e('Update','hima-art-utility'); ?></option>
	<option value='2' <?php selected($selected , 2 ); ?>><?php esc_html_e('Not Update','hima-art-utility'); ?></option>
	<option value='3' <?php selected($selected , 3 ); ?>><?php esc_html_e('revert to publish date','hima-art-utility'); ?></option>
</select>
<p><?php esc_html_e('Sets the initial value of the modified date control','hima-art-utility'); ?></p>
<div style="text-align:right;margin-top:1rem;"><a href="<?php echo esc_url(HAUP_MANUAL_DIR); ?>/howtouse-date-control" target="_blank"><?php echo esc_html(haup_manual_text()); ?></a></div>
</div>
<?php
}

/*** 同期パターンの案内 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_disable_reuse_block_edit(){
//項目の追加
	add_settings_field(
		'disable-reuse-block-edit', // 設定名
		__('Annotations to synchronization patterns','hima-art-utility'), // 設定タイトル
		'haumenu_disable_reuse_block_edit', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_disable_reuse_block_edit' );


/* 入力フォーム */
function haumenu_disable_reuse_block_edit() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'disable-reuse-block-edit'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('The part where the synchronization pattern is inserted is surrounded by a red frame, and a guidance message is displayed at the top to call attention to the impact of editing.','hima-art-utility'); ?></p>
	</label>
<?php
}

/*** クイック編集で更新日を更新しない ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_quick_edit_control(){
//項目の追加
	add_settings_field(
		'quick-edit-control', // 設定名
		__('Do not update modified date in quick edit','hima-art-utility'), // 設定タイトル
		'haumenu_quick_edit_control', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_01_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_quick_edit_control' );


/* 入力フォーム */
function haumenu_quick_edit_control() {
	$set_name = haumenu_define_option_name_01_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'quick-edit-control'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Do not update the update date with quick edit from the post or page list','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk">
	<?php esc_html_e('Please note that only individual quick edits are supported, not bulk edits','hima-art-utility'); ?>
</p>
<?php
}